<?php

add_action( 'init' , 'bizberg_individual_consultant_3_column_fields' );
function bizberg_individual_consultant_3_column_fields(){

    Kirki::add_field( 'bizberg', [
        'type'        => 'custom',
        'settings'    => 'blog_homepage_featured_posts_3_col',
        'section'     => 'homepage',
        'default'     => '<div class="bizberg_customizer_custom_heading">' . esc_html__( 'Featured Posts ( 3 Column )', 'bizberg-individual-consultant' ) . '</div>'
    ] );

    Kirki::add_field( 'bizberg', [
        'type'        => 'radio',
        'settings'    => 'blog_featured_3_col_post_type',
        'label'       => esc_html__( 'Slider Type', 'bizberg-individual-consultant' ),
        'section'     => 'homepage',
        'default'     => 'none',
        'choices'     => [
            'category'   => esc_html__( 'From Category', 'bizberg-individual-consultant' ),
            'page'       => esc_html__( 'From Pages', 'bizberg-individual-consultant' ),
            'none'       => esc_html__( 'None', 'bizberg-individual-consultant' )
        ]
    ] );

    Kirki::add_field( 'bizberg', [
        'type'        => 'repeater',
        'label'       => esc_attr__( 'Select Pages', 'bizberg-individual-consultant' ),
        'section'     => 'homepage',
        'priority'    => 10,
        'row_label' => [
            'type'  => 'field',
            'value' => esc_html__( 'Page', 'bizberg-individual-consultant' )
        ],
        'settings'    => 'featured_post_3_column',
        'fields' => [
            'page_id'  => [
                'type'        => 'select',
                'label'       => esc_html__( 'Page', 'bizberg-individual-consultant' ),
                'choices'  => bizberg_get_all_pages()
            ],
        ],
        'default' => [],
        'choices' => [
            'limit' => 3
        ],
        'active_callback'    => array(
            array(
                'setting'  => 'blog_featured_3_col_post_type',
                'operator' => '==',
                'value'    => 'page',
            ),
        ),
    ] );

    Kirki::add_field( 'bizberg', array(
        'type'        => 'select',
        'settings'    => 'featured_post_3_column_category',
        'label'       => esc_html__( 'Select Post Category', 'bizberg-individual-consultant' ),
        'section'     => 'homepage',
        'multiple'    => 1,
        'choices'     => bizberg_get_post_categories(),
        'active_callback'    => array(
            array(
                'setting'  => 'blog_featured_3_col_post_type',
                'operator' => '==',
                'value'    => 'category',
            ),
        ),
    ) );

}