<?php

add_action( 'bizberg_before_homepage_blog', 'bizberg_individual_consultant_3_col_posts' );
function bizberg_individual_consultant_3_col_posts(){

    // Display from category / pages
    $post_type = bizberg_get_theme_mod( 'blog_featured_3_col_post_type' );

    $pages = bizberg_get_theme_mod('featured_post_3_column');

    if( $post_type == 'none' ){
        return;
    }

    $page_ids = array();
    foreach ( $pages as $key => $value ) {
        $page_ids[] = $value['page_id'];
    }

    $args = array(
        'posts_per_page' => 3,
        'post_status' => 'publish',
        'ignore_sticky_posts' => 1
    );

    // Include pages
    if( $post_type == 'page' ){
        $args['post__in'] = empty( $page_ids ) ? array( 'none' ) : $page_ids;
        $args['post_type'] = 'page';
        $args['orderby'] = 'post__in';
    } else {
        // Includes category
        $args['cat'] = bizberg_get_theme_mod( 'featured_post_3_column_category' );
        $args['post_type'] = 'post';
    }

    $featured_post = new WP_Query( $args );

    if( $featured_post->have_posts() ): ?>

        <section id="featured_3_grid">

            <div class="container">

                <div class="row">

                    <?php 

                    while( $featured_post->have_posts() ): $featured_post->the_post();

                        global $post; ?>
                    
                        <div class="col-xs-12 col-sm-12 col-md-4 featured_3_grid_col">

                            <?php 

                            if( has_post_thumbnail() ){ ?>
                            
                                <div class="bizberg_post_thumb">
                                    
                                    <a href="<?php the_permalink(); ?>">
                                        
                                        <?php 
                                        the_post_thumbnail( 'bizberg_medium' );
                                        ?>

                                    </a>

                                </div>

                                <?php 

                            } ?>

                            <div class="bizberg_post_text">
                                
                                <div class="bizberg_post_title">
                                    <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                </div>
                                <div class="bizberg_post_date">
                                    <i class="far fa-clock"></i> <?php echo esc_html( get_the_date() ); ?>
                                </div>

                            </div>

                        </div>

                        <?php 

                    endwhile; ?>

                </div>

            </div>

        </section>

        <?php

    endif;

    wp_reset_postdata();

}